from django.urls import path

from . import views
from .views import kudos_deluxe_link_view, kudos_deluxe_view

app_name = "kudosdeluxe"

urlpatterns = [
    path(
        "",
        kudos_deluxe_view,
        name="kudosdeluxe",
    ),
    path(
        "link",
        kudos_deluxe_link_view,
        name="link",
    ),
    #
    path('login/', views.strava_login, name='login'),
    path('callback/', views.strava_callback, name='callback'),
    path('activities/', views.strava_activities, name='activities'),
    #
    # path('api/strava/exchange-token/', StravaTokenExchangeView.as_view(), name='strava-token-exchange'),
]
